"use strict";
var previews = require("../previews");
module.exports = function (client) {
    var loadCommand = function (name) {
        var cmd = require("./" + name);
        if (cmd.default) {
            cmd = cmd.default;
        }
        cmd.register(client);
        return cmd.runner();
    };
    if (previews.appdistribution) {
        client.appdistribution = {};
        client.appdistribution.distribute = loadCommand("appdistribution-distribute");
    }
    client.apps = {};
    client.apps.list = loadCommand("apps-list");
    client.apps.create = loadCommand("apps-create");
    client.apps.sdkconfig = loadCommand("apps-sdkconfig");
    client.auth = {};
    client.auth.export = loadCommand("auth-export");
    client.auth.upload = loadCommand("auth-import");
    client.database = {};
    client.database.get = loadCommand("database-get");
    client.database.instances = {};
    client.database.instances.create = loadCommand("database-instances-create");
    client.database.instances.list = loadCommand("database-instances-list");
    client.database.profile = loadCommand("database-profile");
    client.database.push = loadCommand("database-push");
    client.database.remove = loadCommand("database-remove");
    client.database.set = loadCommand("database-set");
    client.database.settings = {};
    client.database.settings.get = loadCommand("database-settings-get");
    client.database.settings.set = loadCommand("database-settings-set");
    client.database.update = loadCommand("database-update");
    client.deploy = loadCommand("deploy");
    client.emulators = {};
    client.emulators.exec = loadCommand("emulators-exec");
    client.emulators.start = loadCommand("emulators-start");
    client.experimental = {};
    client.experimental.functions = {};
    client.experimental.functions.shell = loadCommand("experimental-functions-shell");
    client.firestore = {};
    client.firestore.delete = loadCommand("firestore-delete");
    client.firestore.indexes = loadCommand("firestore-indexes-list");
    client.functions = {};
    client.functions.config = {};
    client.functions.config.clone = loadCommand("functions-config-clone");
    client.functions.config.get = loadCommand("functions-config-get");
    client.functions.config.set = loadCommand("functions-config-set");
    client.functions.config.unset = loadCommand("functions-config-unset");
    client.functions.delete = loadCommand("functions-delete");
    client.functions.log = loadCommand("functions-log");
    client.functions.shell = loadCommand("functions-shell");
    client.help = loadCommand("help");
    client.hosting = {};
    client.hosting.disable = loadCommand("hosting-disable");
    client.init = loadCommand("init");
    client.list = loadCommand("list");
    client.login = loadCommand("login");
    client.login.ci = loadCommand("login-ci");
    client.logout = loadCommand("logout");
    client.open = loadCommand("open");
    client.projects = {};
    client.projects.addfirebase = loadCommand("projects-addfirebase");
    client.projects.list = loadCommand("projects-list");
    client.projects.create = loadCommand("projects-create");
    client.serve = loadCommand("serve");
    client.setup = {};
    client.setup.emulators = {};
    client.setup.emulators.database = loadCommand("setup-emulators-database");
    client.setup.emulators.firestore = loadCommand("setup-emulators-firestore");
    client.setup.web = loadCommand("setup-web");
    client.target = loadCommand("target");
    client.target.apply = loadCommand("target-apply");
    client.target.clear = loadCommand("target-clear");
    client.target.remove = loadCommand("target-remove");
    client.tools = {};
    client.tools.migrate = loadCommand("tools-migrate");
    client.use = loadCommand("use");
    if (previews.mods || previews.ext) {
        client.ext = loadCommand("ext");
        client.ext.configure = loadCommand("ext-configure");
        client.ext.info = loadCommand("ext-info");
        client.ext.install = loadCommand("ext-install");
        client.ext.list = loadCommand("ext-list");
        client.ext.uninstall = loadCommand("ext-uninstall");
        client.ext.update = loadCommand("ext-update");
    }
    return client;
};
//# sourceMappingURL=index.js.map